javax.persistence

## Annotation Type NamedStoredProcedureQueries

    @Target(value=TYPE)
     @Retention(value=RUNTIME)
    public @interface NamedStoredProcedureQueries

Specifies multiple named stored procedure queries. Query names are scoped to the persistence unit. The `NamedStoredProcedureQueries` annotation can be applied to an entity or mapped superclass.

See Also:
  `NamedStoredProcedureQuery`
Since:
  Java Persistence 2.1

### Required Element Summary

Required Elements
`NamedStoredProcedureQuery[]` `value` (Required) Array of `NamedStoredProcedureQuery` annotations.

### Element Detail

#### value

    public abstract NamedStoredProcedureQuery[] value

(Required) Array of `NamedStoredProcedureQuery` annotations.